Nieuws
Nov
28


Wat gaat er veranderen, en bent u up-to-date?

De komende maanden zullen wij alle hostingpakketten die nog op een PHP 5.2 webserver staan migreren naar een webserver waar PHP 5.3 op draait. Op deze pagina geven we aan waar u op moet letten, wanneer wij deze migratie doorvoeren en welke software wel en niet klaar is voor PHP 5.3!

Vanwaar deze upgrade?
Updaten kost tijd en moeite, is dat echt nodig?

Een deel van onze webhosting omgeving draait momenteel nog op de PHP versie 5.2., deze versie is echter end-of-life. Dit houdt in dat er geen updates en patches meer worden uitgebracht voor deze versie. Hierdoor zullen wij ons volledige webhosting platform upgraden naar PHP versie 5.3.

Wat zijn de gevolgen voor u als klant?
Is mijn website up-to-date of moet ik gaan upgraden?

De vraag is of uw website PHP 5.3 compatible is. Tussen deze twee PHP versies zijn een aantal wijzigingen doorgevoerd. Zo zijn er functies verdwenen, aangepast of zijn er nieuwe ontwikkeld. Het kan hierdoor voorkomen dat uw website na de update naar PHP 5.3 niet meer volledig zal functioneren.

Wanneer uw website de afgelopen 24 maanden niet is geupdate is de kans groot dat de site niet volledig compatible is met PHP 5.3. Onderstaand vindt u alle informatie om te controleren of uw website klaar is voor deze update.

Indien u een webshop heeft, dan vergt dit zeker extra aandacht. Er zijn webshop versies die niet PHP 5.3 compatible zijn. Wanneer uw webshop dit niet is zal deze naar alle waarschijnlijkheid niet volledig meer functioneren na de update. Door uw webshop up to date te brengen naar de meest recente versie, iets wat wij logischerwijs altijd adviseren, is de kans zeer groot dat uw webshop wél PHP 5.3 compatible is.

Maakt u gebruik van een CMS (Content Management Systeem) zoals Joomla, Drupal, Wordpress of een ander CMS, dan raden wij ook zeker aan om te controleren of uw versie geschikt is voor PHP 5.3. Bij een CMS geldt ook dat wij adviseren om deze altijd zo up to date mogelijk te houden (ook voor de veiligheid ervan!).

Heeft u de code zelf geschreven dan kunt u het beste nakijken of er gebruik gemaakt wordt van deprecated functies. Deze worden in PHP 5.3 nog wel ondersteund maar zullen bij versies hierna verdwijnen. Voor verdere informatie zie de site van PHP.net.

 

CMS
Is mijn CMS compatible met PHP 5.3?

Hieronder vindt u het overzicht van de meest gebruikte CMS pakketten met de versienummers en vanaf welke versie deze PHP 5.3 compatible zijn. Wij raden aan, indien u nog geen gebruik maakt van de meest recente versie, om te upgraden naar de laatste versie om zo zeker te zijn dat uw versie met PHP 5.3 overweg kan.

CMS Release datum Nieuwste versie PHP 5.3 PHP 5.3 vanaf
b2evolution 03-04-2012 4.1.4 Ja 3.3.3
CMS Made Simple 09-01-2012 1.10.3 Ja 1.7.x
Concret5 18-04-2012 5.5.2.1 Ja 5.3.1
Drupal 02-03-2012 7.14 Ja 6.14
e107 16-05-2012 1.0.1 Ja 0.7.24
Joomla 1.5.x 19-06-2012 1.5.26 Ja 1.5.15
Joomla 2.5.x 19-06-2012 2.5.6 (LTS Versie) Ja 2.5.0
PivotX 13-03-2012 2.3.3 Ja 2.0.x
Typo3 25-04-2012 4.7.2 Ja 4.4
WebsiteBaker 26-05-2012 2.8.3 SP1 Ja 2.8.2 SP2
Wordpress 14-06-2012 3.4.1 Ja 3.0.0
XOOPS 20-04-2012 2.5.2 Ja 2.0.9

Waar vindt u de versie van uw CMS?

Normaliter kunt u de versie van CMS terug vinden in het administratie panel van het CMS. Bij sommige systemen staat het boven of onderaan de pagina, bij andere dient u te kijken in de configuratie bestanden. Van de meest gebruikte CMS pakketten hebben we dit van een aantal opgezocht.

- Drupal - Versie is niet te vinden in het beheerpaneel, wel in de CHANGELOG.txt die op de FTP server staat.
- e107 - Versie staat rechts bovenin de hoek van het beheerpaneel.
- Joomla - Bij versie 1.5.x staat die bovenaan de beheerpagina vermeldt, bij versie 2.5.x kunt u dit vinden onder de kop 'System Information'.
- Typo3 - Versie is te vinden via de menu optie 'Help' en 'About Modules' van het beheerpaneel.
- WordPress - Versie staat getoond op het dashboard in het beheerpaneel.

Plugins & widgets

Indien er een plug-in of widget enige tijd geen updates heeft gekregen kan het zijn dat deze niet werkt in combinatie met PHP 5.3. Mocht dit het geval zijn, schakel dan de plug-in of widget uit in het administratie panel van uw CMS. Zo voorkomt u dat de rest van de website niet werkt. Wanneer de plug-in of widget is uitgeschakeld kunt u kijken of er een versie van plug-in of widget is welke wel met PHP 5.3 kan omgaan. Is er geen nieuwe versie dan zal u op zoek moeten gaan naar een alternatief.

Themes

Sommige themes maken gebruik van ingebouwde widgets en plugins. Het kan hierdoor voorkomen dat het theme wat u gebruikt niet compatible is met PHP 5.3. Echter is de kans een stuk kleiner dan bij een losse widget of plug-in. Wel dient er rekening mee gehouden te worden dat deze kans aanwezig is. Zeker met name Drupal, Joomla en Wordpress maken met grote regelmaat gebruik van deze functies.

Webshops en fora
Is mijn Webshop of Fora compatible met PHP 5.3?

Hieronder vindt u een overzicht van de meest gebruikte webshop en fora pakketten met de versienummers en vanaf welke versie deze PHP 5.3 compatible zijn. Wij raden aan indien u nog geen gebruik maakt van de meest recente versie om te upgraden naar de laatste versie om zo zeker te zijn dat uw versie met PHP 5.3 overweg kan.

Forums Release datum Nieuwste versie PHP 5.3 PHP 5.3 vanaf
MyBB 27-05-2012 1.6.8 Ja 1.4.8
PHPBB 12-01-2012 3.0.10 Ja 3.0.8
Phorum 09-09-2011 5.2.18 Ja 5.2.x
Simple Machines 24-10-2011 2.0.2 Ja 2.0
Vbulletin 04-04-2012 4.1.12 Ja 4.0
Webshop Release datum Nieuwste versie PHP 5.3 PHP 5.3 vanaf
LogiVert (Mijn Webwinkel) 01-11-2012 5.5.6.14 Ja 5.5.5.9
Magento 05-06-2012 1.7.2 Ja 1.4.0.1
OSCommerce 03-01-2011 2.3.1 Ja 2.3.1
Prestahop 14-05-2012 1.4.8 Ja 1.3.x.x
VirtueMart 07-05-2012 2.0.8 Ja 1.1.5
Xcart 26-01-2012 4.4.5 Ja 4.4.0
Zen Cart 30-12-2011 1.5.0 Ja 1.3.9

Zelf ontwikkelde software

Waar moet u op letten wanneer u zelf ontwikkelde of extern ontwikkelde software gebruikt?

Tijdens de upgrade van PHP 5.2 naar PHP 5.3 kunt u tegen deprecated functies aanlopen. Dit zijn functies die in een verdere versie niet meer zullen werken. Alle ins en outs hierover kunt u vinden op de website van PHP.net.


Help Desk Roberto Webhosting